Skip to content
Snippets Groups Projects
Commit 8797f03d authored by Sean Farley's avatar Sean Farley
Browse files

builddeb: add flag for a source-only deb

This is required for building a ppa for ubuntu which following patches will
use.
parent 837119bf
No related branches found
No related tags found
No related merge requests found
...@@ -10,6 +10,7 @@ ...@@ -10,6 +10,7 @@
CLEANUP=1 CLEANUP=1
DISTID=`(lsb_release -is 2> /dev/null | tr '[:upper:]' '[:lower:]') || echo debian` DISTID=`(lsb_release -is 2> /dev/null | tr '[:upper:]' '[:lower:]') || echo debian`
CODENAME=`lsb_release -cs 2> /dev/null || echo unknown` CODENAME=`lsb_release -cs 2> /dev/null || echo unknown`
DEBFLAGS=-b
while [ "$1" ]; do while [ "$1" ]; do
case "$1" in case "$1" in
--distid ) --distid )
...@@ -30,6 +31,10 @@ ...@@ -30,6 +31,10 @@
shift shift
CLEANUP= CLEANUP=
;; ;;
--source-only )
shift
DEBFLAGS=-S
;;
* ) * )
echo "Invalid parameter $1!" 1>&2 echo "Invalid parameter $1!" 1>&2
exit 1 exit 1
...@@ -76,7 +81,7 @@ ...@@ -76,7 +81,7 @@
SRCFILE="mercurial_$(echo $debver | sed "s,-$node,,").orig.tar.gz" SRCFILE="mercurial_$(echo $debver | sed "s,-$node,,").orig.tar.gz"
"$PWD/hg" archive $SRCFILE "$PWD/hg" archive $SRCFILE
mv $SRCFILE .. mv $SRCFILE ..
debuild -us -uc -i -I -b debuild -us -uc -i -I $DEBFLAGS
if [ $? != 0 ]; then if [ $? != 0 ]; then
echo 'debuild failed!' echo 'debuild failed!'
exit 1 exit 1
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment